com.tibbo.aggregate.common.action

## Class GenericActionCommand

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable
  Direct Known Subclasses:
    ActivateDashboard, Browse, CloseDashboard, Confirm, EditCode, EditData, EditExpression, EditProperties, EditReport, EditTemplate, EditText, GridDashboardActionCommand, LaunchWidget, SelectEntities, ShowDiff, ShowError, ShowEventLog, ShowGuide, ShowHtmlSnippet, ShowMessage, ShowReport, ShowSystemTree

      public class GenericActionCommand
      extends java.lang.Object
      implements ActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GenericActionCommand(java.lang.String type, java.lang.String title)` This constructor is used by specific implementations.
    `` | `GenericActionCommand(java.lang.String type, java.lang.String title, DataTable parameters)`
    `` | `GenericActionCommand(java.lang.String type, java.lang.String title, DataTable parameters, TableFormat format)` This constructor is used by specific implementations.
    `protected` | `GenericActionCommand(java.lang.String type, TableFormat requestFormat, TableFormat responseFormat)` This constructor is used by specific implementations.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionCommand` | `clone()`
    `protected DataTable` | `constructParameters()`
    `GenericActionResponse` | `createDefaultResponse()`
    `boolean` | `equals(java.lang.Object obj)`
    `ComponentLocation` | `getComponentLocation()`
    `DataTable` | `getParameters()`
    `RequestIdentifier` | `getRequestId()`
    `TableFormat` | `getResponseFormat()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isBatchEntry()`
    `boolean` | `isInteractive()`
    `boolean` | `isLast()`
    `boolean` | `isResponseValid(ActionResponse actionRequest)`
    `void` | `setBatchEntry(boolean batchEntry)`
    `void` | `setComponentLocation(ComponentLocation componentLocation)`
    `void` | `setComponentLocation(DataTable componentLocation)`
    `void` | `setInteractive(boolean interactive)`
    `void` | `setLast(boolean last)`
    `void` | `setParameters(DataTable parameters)`
    `void` | `setRequestId(RequestIdentifier requestId)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setType(java.lang.String type)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_COMPONENT_LOCATION

          public static final java.lang.String CF_COMPONENT_LOCATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GenericActionCommand

          protected GenericActionCommand(java.lang.String type,
                                         TableFormat requestFormat,
                                         TableFormat responseFormat)

      This constructor is used by specific implementations.

    - #### GenericActionCommand

          protected GenericActionCommand(java.lang.String type,
                                         java.lang.String title)

      This constructor is used by specific implementations.

    - #### GenericActionCommand

          public GenericActionCommand(java.lang.String type,
                                      java.lang.String title,
                                      DataTable parameters,
                                      TableFormat format)

      This constructor is used by specific implementations.

    - #### GenericActionCommand

          public GenericActionCommand(java.lang.String type,
                                      java.lang.String title,
                                      DataTable parameters)

  - ### Method Detail

    - #### setType

          public void setType(java.lang.String type)

    - #### createDefaultResponse

          public GenericActionResponse createDefaultResponse()

    - #### setParameters

          public void setParameters(DataTable parameters)

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### setLast

          public void setLast(boolean last)

    - #### setBatchEntry

          public void setBatchEntry(boolean batchEntry)

      Specified by:
        `setBatchEntry` in interface `ActionCommand`

    - #### setRequestId

          public void setRequestId(RequestIdentifier requestId)

    - #### getType

          public java.lang.String getType()

    - #### getParameters

          public DataTable getParameters()

    - #### constructParameters

          protected DataTable constructParameters()

    - #### getTitle

          public java.lang.String getTitle()

    - #### isLast

          public boolean isLast()

    - #### isBatchEntry

          public boolean isBatchEntry()

      Specified by:
        `isBatchEntry` in interface `ActionCommand`

    - #### getRequestId

          public RequestIdentifier getRequestId()

      Specified by:
        `getRequestId` in interface `ActionCommand`

    - #### isResponseValid

          public boolean isResponseValid(ActionResponse actionRequest)

      Specified by:
        `isResponseValid` in interface `ActionCommand`

    - #### getResponseFormat

          public TableFormat getResponseFormat()

    - #### setInteractive

          public void setInteractive(boolean interactive)

    - #### isInteractive

          public boolean isInteractive()

      Specified by:
        `isInteractive` in interface `ActionCommand`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### clone

          public ActionCommand clone()

      Specified by:
        `clone` in interface `ActionCommand`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getComponentLocation

          public ComponentLocation getComponentLocation()

    - #### setComponentLocation

          public void setComponentLocation(ComponentLocation componentLocation)

    - #### setComponentLocation

          public void setComponentLocation(DataTable componentLocation)